> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.doctorassistant.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List specialties

> Returns the list of all available specialties with their respective report templates.



## OpenAPI

````yaml docs/en/openapi.yaml get /specialties
openapi: 3.1.0
info:
  title: DAAI - APIS
  version: 1.0.0
servers:
  - url: https://apim.doctorassistant.ai/api/sandbox
security:
  - ApiKeyAuth: []
tags:
  - name: Consultations
  - name: Exams
  - name: Summaries
paths:
  /specialties:
    get:
      tags:
        - Consultations
      summary: List specialties
      description: >-
        Returns the list of all available specialties with their respective
        report templates.
      responses:
        '200':
          description: List of available specialties and their content templates
          content:
            application/json:
              schema:
                type: object
                properties:
                  specialties:
                    type: object
                    description: >-
                      Dictionary of specialties, where each key is the specialty
                      identifier
                    additionalProperties:
                      type: object
                      properties:
                        title:
                          type: string
                          description: Specialty name
                        content:
                          type: object
                          description: >-
                            Specialty content template. The structure is
                            flexible and may vary according to the specialty
                      required:
                        - title
                        - content
                example:
                  specialties:
                    generic:
                      title: Generalist
                      content:
                        patientInformation:
                          index: 0
                          title: Patient information
                          content:
                            name:
                              title: Name
                              content: []
                            age:
                              title: Age
                              content: []
                    psychiatry:
                      title: Psychiatry
                      content:
                        patientInformation:
                          index: 0
                          title: Patient information
                          content:
                            name:
                              title: Name
                              content: []
                            age:
                              title: Age
                              content: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-daai-api-key
      description: API key for authentication

````